@extends('admin/public/layout')
@section('title')短信配置@endsection
@section('content')
    <section class="content-header">
        <h1>短信配置</h1>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <div class="box box-primary">
                    <form role="form" name="settingForm" method="POST" action="{{ route('admin.setting.mobile') }}">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <div class="box-body">
                            <div class="form-group @if ($errors->has('smsbao_user')) has-error @endif">
                                <label for="smsbao_user">短信宝用户名</label>
                                <span class="text-muted">(还没有短信宝帐号?<a href="http://www.smsbao.com/">注册</a>)</span>
                                <input type="text" name="smsbao_user" class="form-control " placeholder="短信宝用户名" value="{{ old('smsbao_user',Setting()->get('smsbao_user')) }}">
                                @if ($errors->has('smsbao_user')) <p class="help-block">{{ $errors->first('smsbao_user') }}</p> @endif
                            </div>
                            <div class="form-group @if ($errors->has('smsbao_pass')) has-error @endif">
                                <label for="smsbao_pass">短信宝密码</label>
                                <span class="text-muted">(请输入短信宝密码)</span>
                                <input type="password" name="smsbao_pass" class="form-control " placeholder="短信宝密码" value="{{ old('smsbao_pass',Setting()->get('smsbao_pass')) }}">
                                @if ($errors->has('smsbao_pass')) <p class="help-block">{{ $errors->first('smsbao_pass') }}</p> @endif
                            </div>
                            <div class="form-group  @if ($errors->has('smsbao_sign')) has-error @endif">
                                <label for="smsbao_sign">短信宝签名</label>
                                <span class="text-muted">(请输入短信宝签名)</span>
                                <input type="text" name="smsbao_sign" class="form-control " placeholder="短信宝签名" value="{{ old('smsbao_sign',Setting()->get('smsbao_sign')) }}">
                                @if ($errors->has('smsbao_sign')) <p class="help-block">{{ $errors->first('smsbao_sign') }}</p> @endif
                            </div>
                        </div>
                        <div class="box-footer">
                            <button type="submit"  class="btn btn-primary">保存</button>
                            <button type="button" class="btn btn-success" id="btn_test_mobile" >发送测试短信</button>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </section>
@endsection
@section('script')
    <div class="modal fade" id="test_mobile_model"  role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="exampleModalLabel">发送测试短信</h4>
                </div>
                <div class="modal-body">
                    <form name="messageForm" id="message_form">
                        <div class="form-group">
                            <label for="to_user_id" class="control-label">接收人手机号：</label>
                            <input type="mobile" class="form-control" id="test_send_to" name="sendTo" value="" placeholder="接收人手机号" />
                        </div>
                        <div class="form-group">
                            <label for="message-text" class="control-label">内容:</label>
                            <textarea class="form-control" id="test_mobile_content" name="content">你好，这是一条测试短信。收到短信则短信接口正常使用！</textarea>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">取消</button>
                    <button type="button" class="btn btn-primary" id="submit_test_mobile">发送</button>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
    
        $(function(){
            set_active_menu('global',"{{ route('admin.setting.mobile') }}");
            $("#btn_test_mobile").click(function(){
                if(confirm('请确认短信配置项已保存成功？')){
                    $("#test_mobile_model").modal('show');
                }
            });

            /*发送测试邮件*/
            $("#submit_test_mobile").click(function(){
                var sendTo = $("#test_send_to").val();
                var content = $("#test_mobile_content").val();
                $.post('{{ route('admin.tool.sendTestMobile') }}',{sendTo:sendTo,content:content},function(msg){
                    console.log(msg);
                    if(msg == 'ok'){
                        alert('短信发送成功');
                    }else{
                        alert('短信发送错误：'+ msg );
                    }
                    $("#test_mobile_model").modal('hide');
                });
            });

        });
    </script>
@endsection