@extends('theme::layout.account')

@section('seo_title')找回密码@endsection

@section('content')
    <div class="header text-center">
        <h1>
            <a href="{{ route('website.index') }}" class="logo">
                <img src="{{ asset('/css/default/login-logo.png') }}" alt="{{ Setting()->get('website_name') }}">
            </a>
        </h1>
        <p class="description text-muted">{{ Setting()->get('register_title','欢迎加入Tipask问答社区') }}</p>
    </div>

    @if(isset($success))
    <div class="col-md-6 col-md-offset-3 bg-white login-wrap" id="success">
        <h1 class="h4 text-center login-title mb-20">找回密码成功</h1>
        <p class="mb-20">感谢你使用 {{ Setting()->get('website_name') }}，我们发送了一封邮件到你的邮箱：<strong>{{ $email }}</strong>，请及时查看（1 小时内有效）。</p>
        <div class="text-center">
            <a href="{{ route('website.index') }}" class="btn btn-lg btn-default">回到首页</a>
        </div>
    </div>
    @else
        <div class="col-md-6 col-md-offset-3 bg-white login-wrap">
            <h1 class="h4 text-center text-muted login-title">找回密码</h1>
            <form role="form" name="loginForm" action="{{ route('auth.user.forgetPassword') }}"  method="POST" >
                <input type="hidden" name="_token" value="{{ csrf_token() }}">


            @if(Setting()->get('mobile_trun') == 1)
                <div class="form-group">
                    <label class="required">选择找回密码方式</label>
                    <div class="radio">
                        <label><input type="radio" name="emamobile" class="emamobile" value="1" checked="">邮箱</label>
                        <label><input type="radio" name="emamobile" class="emamobile" value="0">短信</label>
                    </div>
                </div>
                <div class="form-group mobile @if($errors->first('mobile')) has-error @endif" style="display: none;">
                    <label class="required">手机</label>
                    <input type="text" id="mobile" class="form-control" name="mobile" placeholder="注册手机" value="{{old('mobile')}}">
                    @if ($errors->first('mobile'))
                        <span class="help-block">{{$errors->first('mobile')}}</span>
                    @endif
                </div>
                <div class="form-group mobile @if($errors->first('mobile_code')) has-error @endif" style="display: none;">
                    <label for="mobile_code" class="required">短信验证码</label>
                    <div class="col-md-12" style="padding-left: 0;">
                        <div class="col-md-8" style="padding-left: 0;">
                            <input type="text" class="form-control" name="mobile_code" id="mobile_code" placeholder="请输入短信验证码">
                        </div>
                        <b class="btn btn-primary" id="btn-code" style="margin-bottom: 15px;">获取验证码</b>
                        @if ($errors->first('mobile_code'))
                            <span class="help-block">{{$errors->first('mobile_code')}}</span>
                        @endif
                    </div>
                </div>
            @endif
                <div class="form-group email @if ($errors->first('email')) has-error @endif">
                    <label class="required">邮箱</label>
                    <input type="text" class="form-control" name="email"  placeholder="注册邮箱" value="{{ old('email') }}">
                    @if ($errors->first('email'))
                        <span class="help-block">{{ $errors->first('email') }}</span>
                    @endif
                </div>
                <div class="form-group @if ($errors->first('captcha')) has-error @endif">
                    <label for="captcha" class="required">验证码</label>
                    <input type="text" class="form-control" id="captcha" name="captcha" required="" placeholder="请输入下方的验证码">
                    @if ($errors->first('captcha'))
                        <span class="help-block">{{ $errors->first('captcha') }}</span>
                    @endif
                    <div class="mt-10"><a href="javascript:void(0);" id="reloadCaptcha"><img src="{{ captcha_src()}}"></a></div>
                </div>

                <div class="form-group">
                    <button type="submit" class="btn btn-primary btn-block btn-lg">提 交</button>
                </div>
            </form>
        </div>
    @endif


    <div class="text-center col-md-12 login-link">
        <a href="{{ route('auth.user.register') }}">注册新账号</a>
        |
        <a href="{{ route('website.index') }}">首页</a>
        |
        <a href="{{ route('auth.user.forgetPassword') }}">找回密码</a>
    </div>
@endsection

@section('js')
    <script type="text/javascript">
        $('.emamobile').on('click',function(){
            var $this = $(this).val();
            if ($this == '0') {
                $('.mobile').css('display','block');
                $('.email').css('display','none');
            }else{
                $('.email').css('display','block');
                $('.mobile').css('display','none');
            }
        })
    </script>
    <script type="text/javascript">
        var time = 0; //倒计时时间
        var res = null; //倒计时资源，释放时使用
        var sendNode = null; //发送的按钮节点

        function sendTime(){
            clearTimeout(res);
            time--;

            if (time <= 0) {
                time = "获取验证码";
                sendNode.text(time);
                clearTimeout(res);
                time = 0;
                return;
            }

            sendNode.text("剩余"+time+"秒");
            res = setTimeout("sendTime()",1000);
        }

        $(function(){
            sendNode = $("#btn-code");
            var flg = true;

            sendNode.click(function(){
                if (time == 0) {
                    var mobile = $('#mobile').val();
                    var reg = /^1[3,4,5,7,8]\d{9}$/;
                    var ret = false;
                    if (!reg.test(mobile)) {
                        alert('手机号码不正确！');
                        return ret;
                    }

                    if ({{Setting()->get('code_register')}} == 1) {
                        var code = $("#captcha").val();
                        if (code == '') {
                            alert('请输入验证码');
                            return ret;
                        }
                        var data = {"captcha":code,"mobile":mobile};

                    }else{
                       var data = {"mobile":mobile};
                    }
                    var err ="";
                    if (flg == true) {
                        flg = false;
                        $.ajax({
                            type:"POST",
                            url:"{{ route('auth.user.forget_mobile_code') }}",
                            dataType:"html",
                            async:false,
                            data:data,
                            success:function(data){
                                if (data == 'ok') {
                                    time = 60;
                                    sendTime();
                                    alert('短信发送成功');
                                    flg = true;
                                }else if(data == '-1'){
                                    alert('手机号不存在');
                                }else{
                                    alert('短信发送失败'+data);
                                }
                            },
                            error:function(data){
                                var errors = unescape(data['responseText'].replace(/\\/g,"%"));
                                var error = JSON.parse(errors);
                                if (error['captcha'] != ''&&error['captcha']) {
                                    alert(error['captcha']);
                                    return false;
                                }

                                if (error['mobile'] != '' && error['mobile']) {
                                    alert(error['mobile']);
                                    return false;
                                }
                            }
                        })
                    }
                }
            })
        })
    </script>
@endsection

